Package opennlp.uima.normalizer

# Class Normalizer

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.normalizer.Normalizer

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public class Normalizer extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
The Normalizer tries the structure annotations. The structured value is than assigned to a field of the annotation.

The process depends on the

string Tokens must be (fuzzy) mapped to categories eg. a month, a day or a year (use dictionary) integer, float tokens must be parsed eg. for percentage or period boolean tokens must be parsed eg is there any ???

Restricted set of outcomes throw an error if not matched or silently fail unrestricted set of outcomes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Normalizer()`
  Initializes a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(org.apache.uima.UimaContext context)`
  Initializes the current instance with the given context.
  `void`
  `process(org.apache.uima.cas.CAS tcas)`
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`
  Initializes the type system.

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, destroy, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Normalizer

    public Normalizer()
    Initializes a new instance.

    Note: Use `initialize(UimaContext)` to initialize this instance. Not use the constructor.

- ## Method Details

  - ### initialize

    public void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Initializes the current instance with the given context.

    Note: Do all initialization in this method, do not use the constructor.

    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Parameters:
      `context` - context to initialize
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Initializes the type system.
    Overrides:
      `typeSystemInit` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Parameters:
      `typeSystem` - type system to initialize
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### process

    public void process(org.apache.uima.cas.CAS tcas)
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`